Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003961Doomseeker[All Projects] Documentationpublic2021-12-28 13:012021-12-30 11:01
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.2 
Target Version1.3.3Fixed in Version1.3.3 
Summary0003961: SRB2 plugin is missing a deprecation notice
DescriptionI proposed deprecating the SRB2 game plugin in 1.3.3:
Quote from WubTheCaptain
I've attached 0001-Deprecate-the-SRB2-game.patch. Are you okay with this approach?

Zalewa wasn't sure if it should be deprecated or straight up removed in 1.3.3. 0003958:0022033:
Quote from Zalewa
Yeah, I haven't decided yet whether the removal of that plugin is for 1.3.3 or the release after that.

This issue tracks the deprecation. Another issue will track removing it.
Steps To ReproduceCHANGELOG.md
Attached Filespatch file icon 0001-Deprecate-the-SRB2-game.patch [^] (1,723 bytes) 2021-12-28 13:05 [Show Content]

- Relationships
child of 0003958confirmed SRB2 plugin is unmaintained 

-  Notes
User avatar (0022037)
WubTheCaptain (developer)
2021-12-28 13:05

Updated 0001-Deprecate-the-SRB2-game.patch attached, "Fixes:" this issue #.
User avatar (0022041)
WubTheCaptain (developer)
2021-12-28 14:01

"remove" and "removal" might be wrong words to use in the changelog. Not fixing this today...
User avatar (0022047)
Zalewa (developer)
2021-12-29 14:03

https://bitbucket.org/Doomseeker/doomseeker/commits/97c795aa3a68e4cd8701edf5a74701ad5b591016 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-12-28 13:01 WubTheCaptain New Issue
2021-12-28 13:01 WubTheCaptain Status new => assigned
2021-12-28 13:01 WubTheCaptain Assigned To => WubTheCaptain
2021-12-28 13:02 WubTheCaptain Relationship added child of 0003958
2021-12-28 13:05 WubTheCaptain File Added: 0001-Deprecate-the-SRB2-game.patch
2021-12-28 13:05 WubTheCaptain Note Added: 0022037
2021-12-28 13:05 WubTheCaptain Assigned To WubTheCaptain =>
2021-12-28 13:05 WubTheCaptain Status assigned => new
2021-12-28 13:14 WubTheCaptain Steps to Reproduce Updated View Revisions
2021-12-28 13:15 WubTheCaptain Status new => needs review
2021-12-28 13:54 WubTheCaptain Target Version 1.3.3 =>
2021-12-28 14:01 WubTheCaptain Note Added: 0022041
2021-12-29 14:03 Zalewa Note Added: 0022047
2021-12-29 14:03 Zalewa Status needs review => resolved
2021-12-29 14:03 Zalewa Fixed in Version => 1.3.3
2021-12-29 14:03 Zalewa Resolution open => fixed
2021-12-29 14:03 Zalewa Assigned To => Zalewa
2021-12-30 11:01 WubTheCaptain Target Version => 1.3.3






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker